cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/components/cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d/objects/a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.custom_components.get_component_object(
"cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d", "a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.customComponents.getComponentObject(
'cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d',
'a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e',
);
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->customComponents->getComponentObject(
'cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d',
'a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e',
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.custom_components.custom_components_dto.CustomComponentsDto.ComponentObject;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<ComponentObject> response = client.customComponents().getComponentObject(
"cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d",
"a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.CustomComponents.GetComponentObjectAsync(
"cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d",
"a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.customComponents.getComponentObject(
'cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d',
'a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.CustomComponents().GetComponentObject(context.Background(), "cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d", "a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e", nil, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"custom_component_object": {
"object": "<string>",
"id": "<string>",
"status": "<string>",
"code": "<string>",
"component": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"custom_form": {
"id": "<string>",
"name": "<string>",
"object": "<string>"
},
"attributes": [
{}
],
"attribute_groups": [
{}
],
"restrictions": [
{}
],
"parents": [
{
"email": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>",
"type": "<string>"
}
],
"workflow_status": "<unknown>",
"workflow_status_uuid": "<unknown>",
"workflow_stage": "<unknown>",
"workflow_data": [
{}
],
"custom_objects": [
{}
],
"accounts": [
{}
],
"items": [
{}
],
"orders": [
{}
],
"quotes": [
{}
],
"created_on": "<string>",
"last_updated_on": "<string>",
"created_by": "<unknown>",
"last_updated_by": "<unknown>",
"version": 123,
"href": "<string>"
}
}{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Custom components
Retrieve a component object
Returns one component object, under custom_component_object.
GET
/
components
/
{component_uuid}
/
objects
/
{component_object_id}
cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/components/cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d/objects/a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.custom_components.get_component_object(
"cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d", "a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e"
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.customComponents.getComponentObject(
'cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d',
'a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e',
);
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->customComponents->getComponentObject(
'cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d',
'a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e',
);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.custom_components.custom_components_dto.CustomComponentsDto.ComponentObject;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<ComponentObject> response = client.customComponents().getComponentObject(
"cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d",
"a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.CustomComponents.GetComponentObjectAsync(
"cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d",
"a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.customComponents.getComponentObject(
'cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d',
'a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.CustomComponents().GetComponentObject(context.Background(), "cmp_4b7d2e9a1c3f4e8a9b6d5c2e1f0a3b7d", "a1c3e5f7b9d24f6a8c0e2b4d6f8a0c2e", nil, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"custom_component_object": {
"object": "<string>",
"id": "<string>",
"status": "<string>",
"code": "<string>",
"component": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"custom_form": {
"id": "<string>",
"name": "<string>",
"object": "<string>"
},
"attributes": [
{}
],
"attribute_groups": [
{}
],
"restrictions": [
{}
],
"parents": [
{
"email": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>",
"type": "<string>"
}
],
"workflow_status": "<unknown>",
"workflow_status_uuid": "<unknown>",
"workflow_stage": "<unknown>",
"workflow_data": [
{}
],
"custom_objects": [
{}
],
"accounts": [
{}
],
"items": [
{}
],
"orders": [
{}
],
"quotes": [
{}
],
"created_on": "<string>",
"last_updated_on": "<string>",
"created_by": "<unknown>",
"last_updated_by": "<unknown>",
"version": 123,
"href": "<string>"
}
}{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Reads a single object of the component with this
cmp_ id, with its owner, attributes, workflow state and linked accounts, items, orders and quotes.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The component definition's id, which starts with cmp_.
The component object's id, as returned when it is created or listed.
Response
The component object, under custom_component_object.
Show child attributes
Show child attributes